X11.XButtonEvent (JNA API)
Description: declaration: package: com.sun.jna.platform.unix, interface: X11, class: XButtonEvent

Package com.sun.jna.platform.unix

# Class X11.XButtonEvent

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.unix.X11.XButtonEvent

Direct Known Subclasses:
  `X11.XButtonPressedEvent`, `X11.XButtonReleasedEvent`

Enclosing interface:
  X11

@FieldOrder({"type","serial","send_event","display","window","root","subwindow","time","x","y","x_root","y_root","state","button","same_screen"}) public static class X11.XButtonEvent extends Structure

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `button`
  `X11.Display`
  `display`
  `X11.Window`
  `root`
  `int`
  `same_screen`
  `int`
  `send_event`
  `NativeLong`
  `serial`
  `int`
  `state`
  `X11.Window`
  `subwindow`
  `NativeLong`
  `time`
  `int`
  `type`
  `X11.Window`
  `window`
  `int`
  `x`
  `int`
  `x_root`
  `int`
  `y`
  `int`
  `y_root`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XButtonEvent()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### type

    public int type

  - ### serial

    public NativeLong serial

  - ### send_event

    public int send_event

  - ### display

    public X11.Display display

  - ### window

    public X11.Window window

  - ### root

    public X11.Window root

  - ### subwindow

    public X11.Window subwindow

  - ### time

    public NativeLong time

  - ### x

    public int x

  - ### y

    public int y

  - ### x_root

    public int x_root

  - ### y_root

    public int y_root

  - ### state

    public int state

  - ### button

    public int button

  - ### same_screen

    public int same_screen

- ## Constructor Details

  - ### XButtonEvent

    public XButtonEvent()